Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.mdex.groups.model
Class AttributeGroup

    java.lang.Object
      com.endeca.portal.mdex.groups.model.AttributeGroup

All Implemented Interfaces:
  java.io.Serializable

    public class AttributeGroup

extends java.lang.Object
implements java.io.Serializable

Model class: a very simple wrapper around the PropertyGroup object returned by the MDEX Engine

Author:
  Endeca Technologies, Inc.
See Also:
  Serialized Form

Constructor Summary
`AttributeGroup()` Default no-arg constructor
`AttributeGroup(com.endeca.mdex.conversation.PropertyGroup mdexGroup)` Constructs an AttributeGroup based on the MDEX PropertyGroup

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getKey()`
`long` | `getNumberOfProperties()`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setKey(java.lang.String key)`
`void` | `setNumberOfProperties(long numberOfProperties)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeGroup

    public AttributeGroup()

  Default no-arg constructor

### AttributeGroup

    public AttributeGroup(com.endeca.mdex.conversation.PropertyGroup mdexGroup)

  Constructs an AttributeGroup based on the MDEX PropertyGroup

  Parameters:
    `mdexGroup` -

Method Detail

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getNumberOfProperties

    public long getNumberOfProperties()

### setNumberOfProperties

    public void setNumberOfProperties(long numberOfProperties)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD